=== testsuite/Makefile ===

all:
	python3 ./testsuite.py
